Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.annotations
Enum PolymorphismType

    java.lang.Object
      java.lang.Enum<PolymorphismType>
          org.hibernate.annotations.PolymorphismType

All Implemented Interfaces:
  Serializable, Comparable<PolymorphismType>

    public enum PolymorphismType

extends Enum<PolymorphismType>

Type of avaliable polymorphism for a particular entity

Author:
  Emmanuel Bernard

Enum Constant Summary
`EXPLICIT` this entity is retrived only if explicitly asked
`IMPLICIT` default, this entity is retrieved if any of its super entity is asked

Method Summary
`static PolymorphismType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PolymorphismType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### IMPLICIT

    public static final PolymorphismType IMPLICIT

  default, this entity is retrieved if any of its super entity is asked

### EXPLICIT

    public static final PolymorphismType EXPLICIT

  this entity is retrived only if explicitly asked

Method Detail

### values

    public static final PolymorphismType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(PolymorphismType c : PolymorphismType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static PolymorphismType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD